// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-03-11 11:40
package define

// EventData ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:41 2024/3/11
type EventData struct {
	EventType       string `json:"event_type"`       // 事件类型
	TraceID         string `json:"trace_id"`         // 事件追踪ID
	Host            string `json:"host"`             // 触发事件host
	Timestamp       int64  `json:"timestamp"`        // 触发时间,纳秒级时间戳
	SystemTimestamp int64  `json:"system_timestamp"` // 发送时的系统时间
	Key             string `json:"key"`              // 会基于当前值进行hash, 决定消息分区, 不指定则随机生成
	Data            any    `json:"data"`             // 发送的数据
}

// SendResult 发送结果
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:56 2024/6/25
type SendResult struct {
	Data       *EventData     `json:"data"`          // 发送的数据
	Partition  int            `json:"partition_num"` // 分区索引编号
	Topic      string         `json:"topic"`         // 使用的真实topic
	IsSuccess  bool           `json:"is_success"`    // 是否发送成功
	FailReason string         `json:"fail_reason"`   // 失败原因
	Extension  map[string]any `json:"extension"`     // 扩展数据
}
